summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog4
-rwxr-xr-xpackages/redhat/sshd.init12
2 files changed, 14 insertions, 2 deletions
diff --git a/ChangeLog b/ChangeLog
index dc16db03..ca28a39d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+19991207
+ - sshd Redhat init script patch from Jim Knoble <jmknoble@pobox.com>
+ fixes compatability with 4.x and 5.x
+
19991204
- Small cleanup of PAM code in sshd.c
- Merged OpenBSD CVS changes:
diff --git a/packages/redhat/sshd.init b/packages/redhat/sshd.init
index 5e919489..a62866a2 100755
--- a/packages/redhat/sshd.init
+++ b/packages/redhat/sshd.init
@@ -21,8 +21,16 @@ case "$1" in
start)
echo -n "Starting sshd: "
if [ ! -f /var/run/sshd.pid ] ; then
- /usr/sbin/sshd && success "sshd startup" || failure "sshd startup"
- RETVAL=$?
+ case "`type -type success`" in
+ function)
+ /usr/sbin/sshd && success "sshd startup" || failure "sshd startup"
+ RETVAL=$?
+ ;;
+ *)
+ /usr/sbin/sshd && echo -n "sshd "
+ RETVAL=$?
+ ;;
+ esac
fi
echo
;;